Skip to content

Add a new counterparty​

POST
/api/v1/counterparties

Create a new counterparty to transact with.

Authorizations​

bearerAuth
Type
HTTP (bearer)

Request Body​

application/json
object
object
Required

The unique cross-system identifier for the counterparty (e.g., ERP vendor ID). Facilitates seamless mapping between the Synthix ledger and your internal CRM/ERP.

Max Length90
Min Length3
Pattern"^[-_a-zA-Z0-9]+$"

The full legal name of the individual or entity as registered with their financial institution. Critical for matching during Anti-Money Laundering (AML) checks.

Max Length90
Min Length3
Pattern"^[-_ a-zA-Z0-9]+$"

Email address of the counterparty.

Max Length255
Min Length6
Format"email"

Mobile phone number of the counterparty.

Max Length16
Min Length5
Pattern"^[\\d]*$"

Free-text notes or remarks about the counterparty.

Min Length3
Max Length90
Pattern"^[A-Za-z0-9_.,'-]+( +[A-Za-z0-9_.,'-]+)*$"
object
object[]

This field is used to identify the type of account. Currently only BANK_ACCOUNT is supported.

Valid values"BANK_ACCOUNT"

The category of counterparty account.
Possible values: PERSONAL or BUSINESS

Valid values"PERSONAL""BUSINESS"

The Counterparty's bank account name as per record. This can be same as Counterparty Name or coming from Provider service.

Max Length90
Min Length3
Pattern"^[-_ a-zA-Z0-9]+$"
object
Required

The bank country of the counterparty as the 2-letter ISO 3166 code.
Required when accountType is BANK_ACCOUNT.

Max Length2
Min Length2
Pattern"^[A-Z]*$"

The 3-letter ISO 4217 currency code. Supported values: EUR, USD, GBP. This determines the settlement currency and applicable regional payment rails.

Valid values"EUR""USD""GBP"
object

Responses​

Counterparty successfully created.

application/json
object

The unique cross-system identifier for the counterparty (e.g., ERP vendor ID). Facilitates seamless mapping between the Synthix ledger and your internal CRM/ERP.

Max Length90
Min Length3
Pattern"^[-_a-zA-Z0-9]+$"

Possible values: [ACTIVE]

  • ACTIVE: Newly created counterparty is live and available to transact with.
Valid values"ACTIVE"

The date and time the counterparty was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The date and time the counterparty was updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The full legal name of the individual or entity as registered with their financial institution. Critical for matching during Anti-Money Laundering (AML) checks.

Max Length90
Min Length3
Pattern"^[-_ a-zA-Z0-9]+$"

Email address of the counterparty.

Max Length255
Min Length6
Format"email"

Mobile phone number of the counterparty.

Max Length16
Min Length5
Pattern"^[\\d]*$"

Free-text notes or remarks about the counterparty.

Min Length3
Max Length90
Pattern"^[A-Za-z0-9_.,'-]+( +[A-Za-z0-9_.,'-]+)*$"

Populated internally by the service based on the channel (e.g. API, web, or link).

Min Length3
Max Length100
object

The Counterparty's address. Only letters, numbers, spaces, and the
following symbols are allowed: ! @ # $ & ( ) _ + - . / : , ? '

Max Length210
Min Length1
Pattern"^[ a-zA-Z0-9!@#$&()_+\\-./:,?']+$"

The postal code of the Counterparty's address.

Max Length16
Min Length1
Pattern"^[A-Za-z0-9 -]*$"

The bank country of the counterparty. The ISO 3166 Alpha-2 country code (upper case) of the Counterparty's address.

Valid values"IN""DE""AT""GB""BE""BG""HR""CY""CZ""DK""EE""FI""FR""GR""HU""IE""IT""LV""LT""LU""MT""NL""PL""PT""RO""SK""SI""ES""SE""CH""SM""VA""AD""MC""IS""NO""LI""US"
object[]

The list of accounts associated with this counterparty.

Possible values: [ACTIVE, INACTIVE]
indicates the state of the account.

Valid values"ACTIVE""INACTIVE"

Possible values: [VERIFIED, UNVERIFIED, FAILED]
indicates the state of the account.

Valid values"VERIFIED""UNVERIFIED""FAILED"

The date and time the account link was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The date and time the account link was updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

The date and time the account link was updated in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

This field is used to identify the type of account. Currently only BANK_ACCOUNT is supported.

Valid values"BANK_ACCOUNT"

The category of counterparty account.
Possible values: PERSONAL or BUSINESS

Valid values"PERSONAL""BUSINESS"

Possible values: Value must match regular expression ^[A-Z]{2,2}$
The bank country of the counterparty as the 2-letter ISO 3166 code.

Valid values"IN""DE""AT""GB""BE""BG""HR""CY""CZ""DK""EE""FI""FR""GR""HU""IE""IT""LV""LT""LU""MT""NL""PL""PT""RO""SK""SI""ES""SE""CH""SM""VA""AD""MC""IS""NO""LI""US"

The 3-letter ISO 4217 currency code. Supported values: EUR, USD, GBP. This determines the settlement currency and applicable regional payment rails.

Valid values"EUR""USD""GBP"

The Counterparty's bank account name as per record. This can be same as Counterparty Name or coming from Provider service.

Max Length90
Min Length3
Pattern"^[-_ a-zA-Z0-9]+$"
object
Required
object

Response Headers

Deprecation

Indicates deprecation (boolean)

Typestring
Exampletrue
Sunset

Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.

Typestring (date-time)
Example2024-03-24T03:14:15Z

Samples​